const MiniCssExtractPlugin = require("mini-css-extract-plugin");

module.exports = (mode, isModule, extract) => {
  const output = [];

  if (extract && mode === 'production') {
    output.push({
      test: new RegExp('\\.css$'),
      use: [{
        loader: MiniCssExtractPlugin.loader
      },{
        loader: 'css-loader'
      }],
      exclude: /\.module\.[a-z]+$/
    });
    if (isModule) {
      output.push({
        test: new RegExp('\\.module\\.css$'),
        use: [{
          loader: MiniCssExtractPlugin.loader
        },{
          loader: 'css-loader',
          options: {
            modules: true,
            localIdentName: '[path][name]__[local]--[hash:base64:5]'
          }
        }],
        include: /\.module\.[a-z]+$/
      });
    }
  } else {
    output.push({
      test: new RegExp('\\.css$'),
      use: [{
        loader: 'style-loader'
      },{
        loader: 'css-loader',
      }],
      exclude: /\.module\.[a-z]+$/
    });
    if (isModule) {
      output.push({
        test: new RegExp('\\.module\\.css$'),
        use: [{
          loader: 'style-loader'
        },{
          loader: 'css-loader',
          options: {
            modules: true,
            localIdentName: '[path][name]__[local]--[hash:base64:5]'
          }
        }],
        include: /\.module\.[a-z]+$/
      });
    }
  }
  return output;
}
